Skip to main content
Queries

Get query by query Id

This method requires the Queries:Get permission to be associated with the role.

GET
/gb/queries/{query_id}
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd
query_idstringrequired

Query Id to search

Time-Zonestringheaderdefault:UTC

The timezone value can be given in several formats, none of which are case sensitive:

  • As a named time zone, such as 'Europe/Helsinki', 'US/Eastern', or 'MET'.
  • As a string indicating an offset from UTC of the form [H]H:MM, prefixed with a + or -, such as '+10:00', '-6:00', or '+05:30'. A leading zero can optionally be used for hours values less than 10;
Maximum string length: 100
Pattern: ^[a-zA-Z0-9\/\:\+\-\_]+$

Response

application/vnd.catch-e-api.v1+json

Success

_embeddedobject
descriptionstring

Description of the query

Example: List of contacts
maximum_execution_timeinteger

Maximum run time set in seconds

Example: 300
namestring

Name of the query

Example: List of contacts
querystring

SQL query

Example: SELECT * FROM fm_contacts;
query_idstring

Query ID

Example: 123456
status_flagenum<string>default:active

Status of the query

Available options: active, inactive, deleted
super_flagenum<string>

When checked ON, only 'super' users can Edit and Save changes to queries

Available options: yes, no
Example: yes